What are the minimum requirements?

ITESLIVE is a multiplatform software, here are the minimums required for each of them.

LG WebOS

Minimum: WebOS smart signage platform 4.0

Recommended: Latest version available

Samsung Tizen

Minimum: Tizen smart signage platform 4.0

Recommended: Latest version available

Windows

Minimum: Windows versions supported by Microsoft and allowing the use of the most recent version of the .NET Framework  
Recommended: Latest version available

Note: For more information on the versions supported by Microsoft

https://support.microsoft.com/en-ca/lifecycle/search/18165

Web Player

Minimum: Chromium 53

Recommended: Latest version available

Android

Minimum: Android 7.0

Recommended: Latest version available

BrightSign

Contact us

Linux

Contact us